package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;

import java.util.Date;

/**
 * 常见错误对象 trs_sensitive_words
 * 
 * @author ruoyi
 * @date 2025-03-17
 */
public class TrsSensitiveWords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 错误词 */
    @Excel(name = "错误词")
    private String wrongWord;

    /** 正确词 */
    @Excel(name = "正确词")
    private String correctWord;

    /** 错误类型 */
    @Excel(name = "错误类型")
    private String errorType;

    public String getErrorGrade() {
        return errorGrade;
    }

    public void setErrorGrade(String errorGrade) {
        this.errorGrade = errorGrade;
    }

    /** 错误级别 */
    @Excel(name = "错误级别")
    private String errorGrade;

    /** 词典类型 */
    @Excel(name = "词典类型")
    private String dictType;

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Date getEffectstart() {
        return effectstart;
    }

    public void setEffectstart(Date effectstart) {
        this.effectstart = effectstart;
    }

    public Date getEffectend() {
        return effectend;
    }

    public void setEffectend(Date effectend) {
        this.effectend = effectend;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "生效开始时间(yyyy-MM-dd)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectstart;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生效结束时间(yyyy-MM-dd)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectend;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    /*@Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")*/
    private Date time;


    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public Integer getFlag() {
        return flag;
    }

    /*@Excel(name = "是否包含")*/
    private Integer flag;

    private String status;
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setCorrectWord(String correctWord) 
    {
        this.correctWord = correctWord;
    }

    public String getCorrectWord() 
    {
        return correctWord;
    }

    public void setErrorType(String errorType) 
    {
        this.errorType = errorType;
    }

    public String getErrorType() 
    {
        return errorType;
    }

    public void setDictType(String dictType) 
    {
        this.dictType = dictType;
    }

    public String getDictType() 
    {
        return dictType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("wrongWord", getWrongWord())
            .append("correctWord", getCorrectWord())
            .append("errorType", getErrorType())
            .append("dictType", getDictType())
            .toString();
    }
}
